import e from "./_isPrototype.js";
import t from "./isArguments.js";
import n from "./isArray.js";
import r from "./isArrayLike.js";
import i from "./isBuffer.js";
import a from "./isTypedArray.js";
import o from "./_baseKeys.js";
import s from "./_getTag.js";
//#region ../../node_modules/lodash-es/isEmpty.js
var c = "[object Map]", l = "[object Set]", u = Object.prototype.hasOwnProperty;
function d(d) {
	if (d == null) return !0;
	if (r(d) && (n(d) || typeof d == "string" || typeof d.splice == "function" || i(d) || a(d) || t(d))) return !d.length;
	var f = s(d);
	if (f == c || f == l) return !d.size;
	if (e(d)) return !o(d).length;
	for (var p in d) if (u.call(d, p)) return !1;
	return !0;
}
//#endregion
export { d as default };
